Bug 225371 - compat-libstdc++-296 missing libstdc++-libc6.1-1-2.9.0.so or equivalent
compat-libstdc++-296 missing libstdc++-libc6.1-1-2.9.0.so or equivalent
Product: Fedora
Classification: Fedora
Component: compat-gcc-296 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
: 225389 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-01-30 01:55 EST by Patrick Shinpaugh
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-30 02:21:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrick Shinpaugh 2007-01-30 01:55:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20061219 Fedora/ Firefox/ pango-text

Description of problem:
Attempt to install some legacy software fails due to missing compatibility libstdc++-libc6.1-1. I am trying to use sgi opengl performer for which we have applications which still use it. This compat library did exist on FC5:

rpm -qpl "/media/FC-5\ i386/Fedora/RPMS/compat-libstdc++-296-2.96-135.i386.rpm"

But, with FC6 all I get is:

rpm -ql compat-libstdc++-296

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install compat-libstdc++-296
2. Try to install any legacy software requiring the missing libstdc++-libc6.1-1

Actual Results:
[root] rpm -Uhv sgi-performer-*
error: Failed dependencies:
        libstdc++-libc6.1-1.so.2 is needed by sgi-performer-clipdemos-3.2.2_gcc3-0.i386
        libstdc++-libc6.1-1.so.2 is needed by sgi-performer-demos-3.2.2_gcc3-0.i386

Expected Results:
Installation of all sgi-performer* rpms

Additional info:
Is there any reason that the compat-libstdc++-296 package does not have the missing libstdc++-libc6.1-1 dynamic library included for FC6 and beyond? I was able to copy the missing library from an FC5 install (I am sure I will not have an FC5 install available as I move on to F7 and beyond) I had available and as a result was able to install (with --nodeps) and run Performer apps. Please update the package to include the missing library.

Comment 1 Jakub Jelinek 2007-01-30 02:21:23 EST
The removal was intentional, the library has zero chance to build on FC6,
in earlier releases was included as binary blob from RHL6.2 and then binary
patched.  We definitely don't want to do that forever.
The libraries are now 8 years old...
Comment 2 Jakub Jelinek 2007-01-30 05:49:55 EST
*** Bug 225389 has been marked as a duplicate of this bug. ***
Comment 3 Patrick Shinpaugh 2007-01-30 13:16:42 EST
I hope that RHEL 5 will include this as sgi performer (although not used as much
as it once was) latest version 3.2.2 was released only Feb 7, 2006 and I am sure
there are other software packages built against the same. I suppose that for
products without paid support there is no desire to provide the necessary
backward compatibility which is understandable in a leading/bleeding edge
product. Hopefully sgi will recognize this and release updated build against
more current libs (doubtful considering their current state).

Thanks for your time and your explanation - much appreciated.
Comment 4 Akira Eto 2007-01-30 21:34:53 EST
(In reply to comment #2)
> *** Bug 225389 has been marked as a duplicate of this bug. ***

I am Bug 225389 reporter from Tokyo-Japan, and I was surprised that the same 
problem reported around the world the same day.

Many companies are using their software environment Over 8 years for many 
reasons include my company.
No doubt Only Redhat could keep backward compatibility of legacy Redhat Linux 
environment unlike other distribution company,
but people will despair if Redhat throw an old library away at next RHEL5.
I just don't want Redhat to spoil there great advantage.

Thank you for reading my poor opinion.

Note You need to log in before you can comment on or make changes to this bug.